Skip to main content
POST
Send a message to a service entry

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Pattern: ^aplace_[0-9a-f]{32}$

Body

application/json
message_id
string
required
Required string length: 1 - 256
Pattern: ^[A-Za-z0-9._:-]+$
text
string
required
Required string length: 1 - 262144
session_id
string
Pattern: ^sess_[0-9a-f]{32}$
wait
boolean

Response

The message's current status and the answers its caller may read

type
enum<string>
required
Available options:
agent_placement_message
agent_placement_id
string
required
Pattern: ^aplace_[0-9a-f]{32}$
message_id
string
required
Required string length: 1 - 256
Pattern: ^[A-Za-z0-9._:-]+$
session_id
string
required
Pattern: ^sess_[0-9a-f]{32}$
status
enum<string>
required
Available options:
submitted,
working,
input_required,
auth_required,
completed,
failed,
canceled,
rejected
answers
object[]
required
updated_at
string
required
output
object | null